Skip to main content
PATCH
/
v1
/
campaigns
/
{id}
curl -X PATCH "https://api.adrelay.dev/v1/campaigns/camp_abc123" \
  -H "X-API-Key: $ADRELAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "ACTIVE",
    "budget_amount": 75.00
  }'
{
  "id": "camp_abc123",
  "platform": "google_ads",
  "remote_id": "123456789",
  "name": "Summer Sale 2026",
  "status": "ACTIVE",
  "goal": "CONVERSIONS",
  "budget_amount": 75.00,
  "budget_period": "DAILY",
  "currency": "USD",
  "created_at": "2026-03-01T12:00:00Z",
  "updated_at": "2026-03-21T10:30:00Z"
}
curl -X PATCH "https://api.adrelay.dev/v1/campaigns/camp_abc123" \
  -H "X-API-Key: $ADRELAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "ACTIVE",
    "budget_amount": 75.00
  }'
{
  "id": "camp_abc123",
  "platform": "google_ads",
  "remote_id": "123456789",
  "name": "Summer Sale 2026",
  "status": "ACTIVE",
  "goal": "CONVERSIONS",
  "budget_amount": 75.00,
  "budget_period": "DAILY",
  "currency": "USD",
  "created_at": "2026-03-01T12:00:00Z",
  "updated_at": "2026-03-21T10:30:00Z"
}
Only the fields you include in the request body will be updated. All other fields remain unchanged.

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required
Pattern: ^(google|meta|tiktok)_\w+$

Body

application/json
organization_id
string
required
Minimum string length: 1
name
string
Required string length: 1 - 255
status
enum<string>
Available options:
UNSPECIFIED,
ACTIVE,
PAUSED,
ARCHIVED,
DRAFT,
SCHEDULED_FOR_DELETION
budget_amount
number
budget_period
enum<string>
Available options:
DAILY,
MONTHLY,
TOTAL,
LIFETIME
currency
string

Response

Updated campaign

data
object
required